﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using Canonical.UbuntuOne.Client.Notification;

namespace Canonical.UbuntuOne.Client.Views
{
    /// <summary>
    /// Interaction logic for UbuntuOneNotifyIcon.xaml
    /// </summary>
    public partial class UbuntuOneNotifyIcon : INotificationIconView
    {
        #region DI Properties

        /// <summary>
        /// Gets and sets the presenter that contains the logic that is used by the notification icon.
        /// </summary>
        public INotificationIconPresenter NotificationIconPresenter { get; set; }

        #endregion

        /// <summary>
        /// Initializes a new instance of the UbuntuOneNotifyIcon class.
        /// </summary>
        public UbuntuOneNotifyIcon()
        {
            InitializeComponent();
        }

        #region Implementation of INotificationIconView

        /// <summary>
        /// Gets and sets a notification to be shown to the user.
        /// </summary>
        public string Notification
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        /// <summary>
        /// Gets and sets the list of recently modified files.
        /// </summary>
        public IList<string> RecentlyModifiedFiles
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        /// <summary>
        /// Gets and sets the state od the sync daemon to be displayed.
        /// </summary>
        public string State
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        /// <summary>
        /// Gets and sets the string with the information of the current operation being
        /// performed.
        /// </summary>
        public string CurrentOperation
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        #endregion

        private void OnUbuntuOneManualSyncClick(object sender, System.Windows.RoutedEventArgs e)
        {
            NotificationIconPresenter.ManualSync();
        }
    }
}
