﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using System.Collections.Generic;

namespace Canonical.UbuntuOne.Client.Notification
{
    /// <summary>
    /// View that represents a notification interface that will be shown in the systray of the desktop.
    /// </summary>
    public interface INotificationIconView
    {
        /// <summary>
        /// Gets and sets a notification to be shown to the user.
        /// </summary>
        string Notification { get; set; }

        /// <summary>
        /// Gets and sets the list of recently modified files.
        /// </summary>
        IList<string> RecentlyModifiedFiles { get; set; }

        /// <summary>
        /// Gets and sets the state od the sync daemon to be displayed.
        /// </summary>
        string State { get; set; }

        /// <summary>
        /// Gets and sets the string with the information of the current operation being
        /// performed.
        /// </summary>
        string CurrentOperation { get; set; }
    }
}
