﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System.ComponentModel;
using System.Configuration.Install;
using System.ServiceProcess;

namespace Canonical.UbuntuOne.ProcessDispatcher
{
    /// <summary>
    /// Installer that will allows to set up the daemon when using the InnstalUtil application.
    /// </summary>
	[RunInstaller(true)]
	public class ProjectInstaller : Installer
	{
		private readonly ServiceProcessInstaller _serviceProcessInstaller;
		private readonly ServiceInstaller _serviceInstaller;
		
        /// <summary>
        /// Creates a new instance of the installer.
        /// </summary>
		public ProjectInstaller()
		{
			_serviceProcessInstaller = new ServiceProcessInstaller();
			_serviceInstaller = new ServiceInstaller();
			// Here you can set properties on serviceProcessInstaller or register event handlers
			_serviceProcessInstaller.Account = ServiceAccount.LocalService;
			
			_serviceInstaller.ServiceName = SyncDaemonWindowsService.MyServiceName;
			Installers.AddRange(new Installer[] { _serviceProcessInstaller, _serviceInstaller });
		}
	}
}
